Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.selector.viewModelElement.model
Interface VTViewModelElementPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTViewModelElementPackageImpl

    public interface VTViewModelElementPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `VTViewModelElementFactory`

Nested Class Summary
`static interface` | `VTViewModelElementPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VTViewModelElementPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `VIEW_MODEL_ELEMENT_SELECTOR` The meta object id for the ' `Selector`' class.
`static int` | `VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` | `VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE_VALUE` The feature id for the 'Attribute Value' attribute.
`static int` | `VIEW_MODEL_ELEMENT_SELECTOR__CLASS_TYPE` The feature id for the 'Class Type' reference.
`static int` | `VIEW_MODEL_ELEMENT_SELECTOR__SELECT_SUBCLASSES` The feature id for the 'Select Subclasses' attribute.
`static int` | `VIEW_MODEL_ELEMENT_SELECTOR_FEATURE_COUNT` The number of structural features of the 'Selector' class.
`static int` | `VIEW_MODEL_ELEMENT_SELECTOR_OPERATION_COUNT` The number of operations of the 'Selector' class.

Method Summary
`VTViewModelElementFactory` | `getViewModelElementFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getViewModelElementSelector_Attribute()` Returns the meta object for the reference ' `Attribute`'.
`org.eclipse.emf.ecore.EAttribute` | `getViewModelElementSelector_AttributeValue()` Returns the meta object for the attribute ' `Attribute Value`'.
`org.eclipse.emf.ecore.EReference` | `getViewModelElementSelector_ClassType()` Returns the meta object for the reference ' `Class Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getViewModelElementSelector_SelectSubclasses()` Returns the meta object for the attribute ' `Select Subclasses`'.
`org.eclipse.emf.ecore.EClass` | `getViewModelElementSelector()` Returns the meta object for class ' `Selector`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VTViewModelElementPackage eINSTANCE

  The singleton instance of the package.

### VIEW_MODEL_ELEMENT_SELECTOR

    static final int VIEW_MODEL_ELEMENT_SELECTOR

  The meta object id for the ' `Selector`' class.

  See Also:
    `VTViewModelElementSelectorImpl`, `VTViewModelElementPackageImpl.getViewModelElementSelector()`, Constant Field Values

### VIEW_MODEL_ELEMENT_SELECTOR__SELECT_SUBCLASSES

    static final int VIEW_MODEL_ELEMENT_SELECTOR__SELECT_SUBCLASSES

  The feature id for the 'Select Subclasses' attribute.

  See Also:
    Constant Field Values

### VIEW_MODEL_ELEMENT_SELECTOR__CLASS_TYPE

    static final int VIEW_MODEL_ELEMENT_SELECTOR__CLASS_TYPE

  The feature id for the 'Class Type' reference.

  See Also:
    Constant Field Values

### VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE

    static final int VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE_VALUE

    static final int VIEW_MODEL_ELEMENT_SELECTOR__ATTRIBUTE_VALUE

  The feature id for the 'Attribute Value' attribute.

  See Also:
    Constant Field Values

### VIEW_MODEL_ELEMENT_SELECTOR_FEATURE_COUNT

    static final int VIEW_MODEL_ELEMENT_SELECTOR_FEATURE_COUNT

  The number of structural features of the 'Selector' class.

  See Also:
    Constant Field Values

### VIEW_MODEL_ELEMENT_SELECTOR_OPERATION_COUNT

    static final int VIEW_MODEL_ELEMENT_SELECTOR_OPERATION_COUNT

  The number of operations of the 'Selector' class.

  See Also:
    Constant Field Values

Method Detail

### getViewModelElementSelector

    org.eclipse.emf.ecore.EClass getViewModelElementSelector()

  Returns the meta object for class ' `Selector`'.

  Returns:
    the meta object for class 'Selector'.
  See Also:
    `VTViewModelElementSelector`

### getViewModelElementSelector_ClassType

    org.eclipse.emf.ecore.EReference getViewModelElementSelector_ClassType()

  Returns the meta object for the reference ' `Class Type`'.

  Returns:
    the meta object for the reference 'Class Type'.
  See Also:
    `VTViewModelElementSelector.getClassType()`, `getViewModelElementSelector()`

### getViewModelElementSelector_Attribute

    org.eclipse.emf.ecore.EReference getViewModelElementSelector_Attribute()

  Returns the meta object for the reference ' `Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `VTViewModelElementSelector.getAttribute()`, `getViewModelElementSelector()`

### getViewModelElementSelector_AttributeValue

    org.eclipse.emf.ecore.EAttribute getViewModelElementSelector_AttributeValue()

  Returns the meta object for the attribute ' `Attribute Value`'.

  Returns:
    the meta object for the attribute 'Attribute Value'.
  See Also:
    `VTViewModelElementSelector.getAttributeValue()`, `getViewModelElementSelector()`

### getViewModelElementSelector_SelectSubclasses

    org.eclipse.emf.ecore.EAttribute getViewModelElementSelector_SelectSubclasses()

  Returns the meta object for the attribute ' `Select Subclasses`'.

  Returns:
    the meta object for the attribute 'Select Subclasses'.
  See Also:
    `VTViewModelElementSelector.isSelectSubclasses()`, `getViewModelElementSelector()`

### getViewModelElementFactory

    VTViewModelElementFactory getViewModelElementFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.